### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
TreeLattice2D< Impl, T > Class Template Reference
Lattice methods

Two-dimensional tree-based lattice. More...

`#include <ql/methods/lattices/lattice2d.hpp>`

Inheritance diagram for TreeLattice2D< Impl, T >:
[legend]

List of all members.

## Public Member Functions

| TreeLattice2D (const boost::shared_ptr< T > &tree1, const boost::shared_ptr< T > &tree2, Real correlation)
Size | size (Size i) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const

## Protected Member Functions

Disposable< Array > | grid (Time) const

## Protected Attributes

boost::shared_ptr< T > | tree1_
boost::shared_ptr< T > | tree2_

## Detailed Description

### template<class Impl, class T = TrinomialTree>
class QuantLib::TreeLattice2D< Impl, T >

Two-dimensional tree-based lattice.

This lattice is based on two trinomial trees and primarily used for the G2 short-rate model.